Configuration requise: COMSOL Multiphysics® Version 6.0

Ces exigences sont communes à toutes les plateformes :

  • Une carte réseau fonctionnelle et une connexion internet sont recommandées pendant l'installation.
  • Au minimum 4 Go de RAM sont recommandés.
  • 2 à 13 Go d'espace disque, en fonction des produits sous licence et des options d'installation.
  • Adobe® Acrobat® Reader pour visualiser et imprimer la documentation COMSOL au format PDF.
  • Un processeur Intel® ou AMD® 64 bits basé sur l'architecture Intel® 64 ou AMD64 avec le jeu d'instructions SSE4. Les processeurs Intel® sortis en 2009 ou ultérieurement et les processeurs AMD® sortis en 2012 ou ultérieurement répondent à cette exigence. Sous macOS 11 et 12, les processeurs M1 (et suivants) sont également pris en charge.

Pour des recommandations complémentaires concernant le matériel, veuillez consulter l'entrée de base de connaissance.

Configuration requise du système d'exploitation

Outre la configuration requise pour le système d'exploitation indiquée ci-dessous, veuillez consulter les configurations de la suite des produits d'interface pour connaître la configuration requise concernant le module CAD Import, le module Design et les produits LiveLink™. La configuration requise pour COMSOL Compiler™ est identique à celle de COMSOL Multiphysics®.

Windows® macOS Linux®
Systèmes d'exploitation 64 bits
  • Windows® 11
  • Windows® 10
  • Windows® 10 Pro pour Workstations
  • Windows® 8.1
  • Windows® 7 SP11
  • Windows Server® 2022
  • Windows Server® 2019
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • macOS 10.14, 10.15, 11.0, et 12 (processeurs Intel)
  • macOS 11 and 12 (processeurs M1)
  • Debian® 9, 10, et 11
  • Red Hat® Enterprise Linux® 7.9 et 8.5
  • CentOS® 7.9 et 8.5
  • Rocky Linux 8.5
  • Oracle® Linux® 8.5
  • Ubuntu® 18.04, et 20.04
  • SUSE® Linux Enterprise Desktop® 15 SP3
  • OpenSUSE® Leap 15.2 et 15.3
1.Net 4.5.1 doit être installé sur le système.

Configuration requise spécifique aux systèmes d'exploitation

Linux®
  • GNU C Library version 2.17 ou ultérieure
  • Linux® kernel 3.10 ou ultérieur
  • Le gestionnaire de licences FlexNet® requiert Linux Standard Base (LSB™)1

1Voir le gestionnaire de licences FlexNet® sur Linux® ci-dessous.

Système d'aide sur Linux®

Pour que le système d'aide fonctionne sur les systèmes d'exploitation Linux®, le paquet suivant doit être installé:

Système d'exploitation Nom du paquet
Debian® 9, 10, et 11 libwebkit2gtk-4.0-37
Ubuntu® 18.04, et 20.04 libwebkit2gtk-4.0-37
Red Hat® Enterprise Linux® 7 et CentOS® 7 webkitgtk4
Red Hat® Enterprise Linux® 8, CentOS® 8, et Oracle® Linux 8 webkit2gtk3
SUSE® Linux Enterprise Desktop® 15 SP3 libwebkit2gtk-4_0-37
OpenSUSE® Leap 15.2 and 15.3 libwebkit2gtk-4_0-37

Gestionnaire de licences FlexNet®

La configuration requise pour le gestionnaire de licences est la même que pour COMSOL Multiphysics®. COMSOL 6.0 n'est généralement pas compatible avec le gestionnaire de licences FlexNet® des versions antérieures de COMSOL. Vous devez donc également mettre à niveau le gestionnaire de licences lors de la mise à niveau vers COMSOL 6.0. La version 11.18.1 de FlexNet® est utilisée sur toutes les plateformes dans COMSOL 6.0. La version de lmgrd doit être identique ou supérieure à la version de FlexNet® utilisée par le logiciel COMSOL®.

Gestionnaire de licences FlexNet® sur Linux®

Linux Standard Base (LSB™) est requis pour Linux® sur l'ordinateur hôte du serveur de licences.

Si le paquet de base LSB™ est absent de la distribution, créez manuellement un lien symbolique en tant que root :

ln -s /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3

Distribution Paquets requis
Debian® lsb-core
Ubuntu® lsb-core
Red Hat® redhat-lsb
SUSE® lsb

Constructeur d'applications

Le Constructeur d'applications est pris en charge par le système d'exploitation Windows®.

Add-in pour Microsoft® PowerPoint®

Le complément COMSOL pour PowerPoint® est compatible avec PowerPoint® 2010, 2013, 2016, 2019 et 2021 sur le système d'exploitation Windows®. PowerPoint® 2010 Starter n'est pas pris en charge. Si vous utilisez Office 365, PowerPoint® doit être installé sur l'ordinateur - l'add-in nécessite une version de PowerPoint® qui prend en charge les add-ins VSTO.

Configuration requise pour le calcul parallèle

Windows® macOS Linux®
Parallélisme à mémoire partagée Toutes les versions supportées de Windows® Toutes les versions supportées de macOS Toutes les distributions supportées de Linux®
Parallélisme à mémoire distribuée
  • Windows Server® 20221
  • Windows Server® 20191
  • Windows Server® 20161
  • Windows Server® 2012 R21
Non supporté
  • Red Hat® Enterprise Linux® 7.9 et 8.5
  • CentOS® 7.9 et 8.5
  • Debian® 9 et 10
  • Ubuntu® 18.04 et 20.04

Tous les ordinateurs du cluster doivent utiliser la même version de Linux® et doivent avoir un matériel similaire. Il est recommandé d'installer OpenFabrics Enterprise Distribution (OFED) 1.5.0 ou une version plus récente. Si vous utilisez des réseau compatibles RDMA, un pilote ou une bibliothèque conforme à la version DAPL 1.2 ou ultérieure est nécessaire. Ce logiciel est généralement fourni avec votre matériel.

1Windows HPC Pack pour la version respective de Windows Server est nécessaire.

Pour plus d'informations sur l'éxécution de COMSOL Multiphysics® et COMSOL Server™ dans le Cloud, veuillez consulter cette page.

Compilateurs officiellement supportés

COMSOL Multiphysics® fournit des interfaces externes pour les fonctions externes en C, les matériaux externes et les bibliothèques externes en C dans le Constructeur d'applications.

Windows® macOS Linux®
Interfaces Externes en C Microsoft Visual Studio® 2017 Intel® Parallel Studio XE Composer Edition pour C++ macOS 20.4 (aussi connu sous le nom de Compilateur C++ Intel® version 19.1.3.301) avec Apple LLVM version 11.0.3 (clang-1103.0.32.62) est officiellement supporté Intel® Parallel Studio XE Composer Edition pour C++ Linux® 20.4 (aussi connu sous le nom de Compilateur C++ Intel® version 19.1.3.304) avec GCC 6.5.0 est officiellement supporté
Java® API JDK 8 et 11 JDK 8 et 11 JDK 8 et 11

COMSOL Multiphysics® est construit et testé avec les compilateurs C/C++ ci-dessus. Veuillez noter que les versions ultérieures de ces compilateurs C/C++ peuvent également être compatibles avec les interfaces C externes. Lorsque l'API COMSOL est utilisée avec Java® en mode client/serveur avec les fichiers jar répertoriés dans <installation dir>/bin/comsolclientpath.txt, JRE 8 et 11 sont pris en charge. Lorsque vous utilisez l'API COMSOL pour une utilisation avec Java® API en mode autonome avec les fichiers jar listés dans <installation dir>/bin/comsolpath.txt, JRE 11 est supporté.

Environnement Java

COMSOL est livré avec OpenJDK 11.0.13. Vous pouvez choisir une autre version de Java 11.0.9.1 ou ultérieure lors de l'installation.

Configuration graphique requise

COMSOL recommande le rendu matériel pour des raisons de performance. Le rendu matériel nécessite des pilotes prenant en charge OpenGL® version 2.1 ou ultérieure. Les utilisateurs du système d'exploitation Windows® peuvent également utiliser DirectX® version 9.

Pour utiliser toutes les fonctions de rendu disponibles lorsque l'option Optimiser pour la qualité est définie dans les préférences graphiques, une mémoire graphique de 2 Go ou plus est recommandée.

AMD®

Windows® 11

Modèle de carte Version du driver
AMD Radeon™ Pro W6800 21.10.3
AMD Radeon™ Pro W6600 21.10.3
AMD Radeon™ Pro W5700 21.10.3
AMD Radeon™ Pro W5500 21.10.3
AMD Radeon™ Pro VII 21.10.3
AMD Radeon™ Pro WX 9100 21.10.3
AMD Radeon™ Pro WX 8200 21.10.3

Windows® 10

Modèle de carte Version du driver
AMD Radeon™ Pro WX 7100 21.Q3
AMD Radeon™ Pro WX 5100 21.Q3
AMD Radeon™ Pro WX 4100 21.Q3
AMD Radeon™ Pro WX 3200 21.Q3
AMD Radeon™ Pro WX 3100 21.Q3
AMD Radeon™ Pro WX 2100 21.Q3

Ubuntu® 20.04

Modèle de carte Version du driver
AMD Radeon™ Pro W6800 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro W6600 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro W5700 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro W5500 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro VII AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 9100 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 8200 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 7100 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 5100 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 4100 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 3200 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 3100 AMDGPU (Linux® 5.11.0)
AMD Radeon™ Pro WX 2100 AMDGPU (Linux® 5.11.0)

Ubuntu® 18.04

Modèle de carte Version du driver
AMD Radeon™ Pro WX 3100 AMDGPU (Linux® 5.4.0)

NVIDIA®

Windows® 11

Modèle de carte Version du driver
Quadro® RTX A5000 472.12
Quadro® RTX A4000 472.12
Quadro® RTX A3000 472.12
Quadro® RTX 6000 472.12
Quadro® RTX 45000 472.12
Quadro® P4000 472.12
Quadro® P3200 472.12
Quadro® P2000 472.12
Quadro® P1000 472.12
Quadro® P600 472.12
Quadro® P400 472.12

Windows® 10

Modèle de carte Version du driver
Quadro® RTX 3000 452.06
Quadro® T1000 452.06

Les cartes graphiques listées ci-dessus ont été rigoureusement testées pour leur compatibilité avec le logiciel COMSOL Multiphysics®. Veuillez noter, cependant, que d'autres cartes graphiques AMD® ou NVIDIA® peuvent également être compatibles avec COMSOL Multiphysics®. Les cartes graphiques qui appartiennent à la même série de modèles que l'une des cartes énumérées ci-dessus ont plus de chances d'être compatibles avec COMSOL Multiphysics®.

Pour l'accélération matérielle sous Linux®, utilisez les pilotes propriétaires du fournisseur de votre carte graphique, comme NVIDIA® ; sinon, utilisez le rendu logiciel COMSOL®. Le pilote vidéo Nouveau n'est pris en charge que pour le rendu logiciel.

Remarque : ces informations sont fournies dans votre intérêt mais ne doivent pas se substituer à votre propre enquête sur la configuration requise pour l'utilisation du logiciel COMSOL® ou d'autres logiciels, compte tenu de votre situation particulière. Les systèmes et le matériel changent régulièrement, ce qui peut avoir un impact sur la détermination de la configuration requise pour votre cas.

Adobe et Acrobat sont des marques déposées ou des marques commerciales d'Adobe Systems Incorporated aux Etats-Unis et/ou dans d'autres pays. AMD, AMD Athlon, FirePro et Radeon sont des marques ou des marques déposées d'Advanced Micro Devices, Inc. Debian est une marque déposée de Software in the Public Interest, Inc. aux États-Unis. FlexNet est une marque déposée de Flexera Software LLC. NVIDIA et NVIDIA Quadro sont des marques déposées de NVIDIA Corporation aux Etats-Unis et/ou dans d'autres pays. Intel et Pentium sont des marques commerciales d'Intel Corporation ou de ses filiales aux Etats-Unis et/ou dans d'autres pays. Oracle et Java sont des marques déposées d'Oracle et/ou de ses filiales. Red Hat, Red Hat Enterprise Linux et CentOS sont des marques déposées de Red Hat, Inc. Ubuntu est une marque déposée de Canonical Ltd. OpenGL est une marque commerciale ou une marque déposée de Silicon Graphics, Inc. aux Etats-Unis et/ou dans d'autres pays du monde. OpenSUSE et SUSE sont des marques déposées de SUSE LLC. Linux, Linux Standard Base et LSB sont des marques ou des marques déposées de Linus Torvalds aux Etats-Unis et dans d'autres pays. macOS est une marque d'Apple Inc. aux Etats-Unis et dans d'autres pays. Microsoft, DirectX, PowerPoint, Visual Studio, Windows et Windows Server sont des marques déposées ou des marques commerciales de Microsoft Corporation aux Etats-Unis et/ou dans d'autres pays. COMSOL AB, ses filiales et ses produits ne sont pas affiliés à, approuvés par, sponsorisés par, ou soutenus par les propriétaires de ces marques.